package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.wms.bean.WmsDocMovementDetails;
import cn.estsh.i3plus.pojo.wms.bean.WmsStockSn;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-06-22 18:59
 * @Modify:
 **/
@Data
public class WmsAutoTaskModel {

    @ApiParam("业务类型")
    private Integer busiType;

    @ApiParam("存储区")
    private String zoneNo;

    @ApiParam("物料集合")
    private List<String> partList;

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("交易类型")
    private String transTypeCode;

    @ApiParam("锁定库位")
    private String lockLocacte;

    @ApiParam("方向")
    private Integer direction;

    @ApiParam("货格")
    private String packageNo;

    @ApiParam("锁定料车")
    private String lockCar;

    @ApiParam("物料对应的明细集合")
    Map<String, WmsDocMovementDetails>  partNoDetailsList;

    @ApiParam("锁定条码")
    HashMap<String,List<WmsStockSn>> stringListHashMap;
}
